var options = {
  series: [
    {
      name: '2024',
      data: [
        {
          x: 'Jan',
          y: [-2, 6],
        },
        {
          x: 'Apr',
          y: [8, 18],
        },
        {
          x: 'Jul',
          y: [18, 29],
        },
        {
          x: 'Oct',
          y: [7, 16],
        },
      ],
    },
    {
      name: '2025',
      data: [
        {
          x: 'Jan',
          y: [0, 7],
        },
        {
          x: 'Apr',
          y: [9, 20],
        },
        {
          x: 'Jul',
          y: [19, 31],
        },
        {
          x: 'Oct',
          y: [8, 17],
        },
      ],
    },
  ],
  chart: {
    type: 'rangeBar',
    height: 350,
  },
  title: {
    text: 'Monthly Temperature Range',
    align: 'left',
  },
  plotOptions: {
    bar: {
      horizontal: false,
    },
  },
  dataLabels: {
    enabled: true,
  },
  stroke: {
    width: 2,
    colors: ['#fff'],
  },
  yaxis: {
    labels: {
      formatter: function (val) {
        return val + '°C'
      },
    },
  },
}

var chart = new ApexCharts(document.querySelector('#chart'), options)
chart.render()
Range Column - JavaScript Column Charts | ApexCharts.js | ApexCharts.js

<template>
  <div>
    <div id="chart">
      <apexchart
        type="rangeBar"
        height="350"
        :options="chartOptions"
        :series="series"
      ></apexchart>
    </div>
  </div>
</template>

<script>
import VueApexCharts from 'vue-apexcharts'

export default {
  components: {
    apexchart: VueApexCharts,
  },
  data: function () {
    return {
      series: [
        {
          name: '2024',
          data: [
            {
              x: 'Jan',
              y: [-2, 6],
            },
            {
              x: 'Apr',
              y: [8, 18],
            },
            {
              x: 'Jul',
              y: [18, 29],
            },
            {
              x: 'Oct',
              y: [7, 16],
            },
          ],
        },
        {
          name: '2025',
          data: [
            {
              x: 'Jan',
              y: [0, 7],
            },
            {
              x: 'Apr',
              y: [9, 20],
            },
            {
              x: 'Jul',
              y: [19, 31],
            },
            {
              x: 'Oct',
              y: [8, 17],
            },
          ],
        },
      ],
      chartOptions: {
        chart: {
          type: 'rangeBar',
          height: 350,
        },
        title: {
          text: 'Monthly Temperature Range',
          align: 'left',
        },
        plotOptions: {
          bar: {
            horizontal: false,
          },
        },
        dataLabels: {
          enabled: true,
        },
        stroke: {
          width: 2,
          colors: ['#fff'],
        },
        yaxis: {
          labels: {
            formatter: function (val) {
              return val + '°C'
            },
          },
        },
      },
    }
  },
}
</script>

<style>
#chart {
  max-width: 650px;
  margin: 35px auto;
}
</style>

import React from 'react'
import ReactApexChart from 'react-apexcharts'
import './styles.css'

const ApexChart = () => {
  const [state, setState] = React.useState({
    series: [
      {
        name: '2024',
        data: [
          {
            x: 'Jan',
            y: [-2, 6],
          },
          {
            x: 'Apr',
            y: [8, 18],
          },
          {
            x: 'Jul',
            y: [18, 29],
          },
          {
            x: 'Oct',
            y: [7, 16],
          },
        ],
      },
      {
        name: '2025',
        data: [
          {
            x: 'Jan',
            y: [0, 7],
          },
          {
            x: 'Apr',
            y: [9, 20],
          },
          {
            x: 'Jul',
            y: [19, 31],
          },
          {
            x: 'Oct',
            y: [8, 17],
          },
        ],
      },
    ],
    options: {
      chart: {
        type: 'rangeBar',
        height: 350,
      },
      title: {
        text: 'Monthly Temperature Range',
        align: 'left',
      },
      plotOptions: {
        bar: {
          horizontal: false,
        },
      },
      dataLabels: {
        enabled: true,
      },
      stroke: {
        width: 2,
        colors: ['#fff'],
      },
      yaxis: {
        labels: {
          formatter: function (val) {
            return val + '°C'
          },
        },
      },
    },
  })

  return (
    <div>
      <div id="chart">
        <ReactApexChart
          options={state.options}
          series={state.series}
          type="rangeBar"
          height={350}
        />
      </div>
    </div>
  )
}

export default ApexChart

Range Column in Angular

Using ApexCharts with Angular

This Range Column example wires ApexCharts into Angular through the ng-apexcharts component.

Install it with npm install ng-apexcharts apexcharts, then mount the chart with <apx-chart [series]="series" [chart]="chart"></apx-chart>.

Angular charts guide

This demo uses imperative chart updates. The generated code is a faithful Angular translation: open it in CodeSandbox to run and tweak.

import { Component, AfterViewInit, OnDestroy, ViewChild } from '@angular/core';
import {
  ChartComponent,
  ApexAxisChartSeries,
  ApexNonAxisChartSeries,
  ApexChart,
  ApexXAxis,
  ApexYAxis,
  ApexTitleSubtitle,
  ApexDataLabels,
  ApexStroke,
  ApexFill,
  ApexLegend,
  ApexTooltip,
  ApexMarkers,
  ApexPlotOptions,
  ApexResponsive,
  ApexGrid,
  ApexAnnotations,
  ApexStates,
  ApexTheme,
  NgApexchartsModule,
} from 'ng-apexcharts';

export type ChartOptions = {
  series?: ApexAxisChartSeries | ApexNonAxisChartSeries;
  chart?: ApexChart;
  xaxis?: ApexXAxis;
  yaxis?: ApexYAxis | ApexYAxis[];
  title?: ApexTitleSubtitle;
  subtitle?: ApexTitleSubtitle;
  dataLabels?: ApexDataLabels;
  stroke?: ApexStroke;
  fill?: ApexFill;
  legend?: ApexLegend;
  tooltip?: ApexTooltip;
  markers?: ApexMarkers;
  plotOptions?: ApexPlotOptions;
  responsive?: ApexResponsive[];
  grid?: ApexGrid;
  annotations?: ApexAnnotations;
  states?: ApexStates;
  theme?: ApexTheme;
  colors?: string[];
  labels?: any;
};

@Component({
  selector: 'app-chart',
  standalone: true,
  imports: [NgApexchartsModule],
  templateUrl: './chart.component.html',
})
export class AppChart implements AfterViewInit, OnDestroy {
  @ViewChild('chart') chart!: ChartComponent;
  public chartOptions: Partial<ChartOptions> = {
          series: [
            {
              name: '2024',
              data: [
                {
                  x: 'Jan',
                  y: [-2, 6],
                },
                {
                  x: 'Apr',
                  y: [8, 18],
                },
                {
                  x: 'Jul',
                  y: [18, 29],
                },
                {
                  x: 'Oct',
                  y: [7, 16],
                },
              ],
            },
            {
              name: '2025',
              data: [
                {
                  x: 'Jan',
                  y: [0, 7],
                },
                {
                  x: 'Apr',
                  y: [9, 20],
                },
                {
                  x: 'Jul',
                  y: [19, 31],
                },
                {
                  x: 'Oct',
                  y: [8, 17],
                },
              ],
            },
          ],
          chart: {
            type: 'rangeBar',
            height: 350,
          },
          title: {
            text: 'Monthly Temperature Range',
            align: 'left',
          },
          plotOptions: {
            bar: {
              horizontal: false,
            },
          },
          dataLabels: {
            enabled: true,
          },
          stroke: {
            width: 2,
            colors: ['#fff'],
          },
          yaxis: {
            labels: {
              formatter: (val) => {
                return val + '°C'
              },
            },
          },
        };
  ngAfterViewInit() {
    (window as any).ApexCharts.setLicense('APEX-eyJleHBpcnlEYXRlIjoiMjEyNi0wNy0wNCIsImlzc3VlRGF0ZSI6IjIwMjYtMDctMjgiLCJwbGFuIjoicHJlbWl1bSIsImRvbWFpbnMiOlsiYXBleGNoYXJ0cy5jb20iLCIxMjcuMC4wLjEiLCJsb2NhbGhvc3QiXSwic2lnIjoieVBmb1VCc0Z3TU9ZdUEyaEZkR0I2Y1FtZ0JITUtXcVdJSjB2NVRESXRZbFR3eDJMUmh6R2x0RUc3VXJ4X0s3b25ZMWRZb2Z2VGItN01ydFYyNDVyOWcifQ==');
  }

  ngOnDestroy() {
    // no cleanup needed
  }
}